#include "globals.h"
#ifndef MCUFFRAMES_H
#define MCUFFRAMES_H

#define MCUFSCR_M 0
#define MCUFSCR_H 8
#define MCUFSCR_W 18

#define MCUFKATE_X 9
#define MCUFKATE_Y 3

struct MCUF_Frame {
	char magic[4];
	char height[2];
	char width[2];
	char channels[2];
	char maxval[2];
	char pixels[432]; // currently fixed (3chans a 144 px)
};

void initMCUFFrames();
void deInitMCUFFrames();
void recieveMCUFFrame(bool matrixMode);

extern MCUF_Frame currentMCUFFrame;

#endif // MCUFFRAMES_H
